diff --git pyscard/pyscard.spec pyscard/pyscard.spec.tmp
index 28637b63c6..27bc963912 100644
--- pyscard/pyscard.spec
+++ pyscard/pyscard.spec.tmp
@@ -1,6 +1,6 @@
 Name:           pyscard
 Version:        1.9.5
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        A framework for building smart card aware applications in Python
 
 Group:          Development/Libraries
@@ -17,15 +17,25 @@ BuildRequires:  python2-devel
 BuildRequires:  python3-devel
 BuildRequires:  pcsc-lite-devel
 BuildRequires:  swig >= 1.3.31
-Requires:       pcsc-lite
-
-%description
-The pyscard smartcard library is a framework for building smart card aware
-applications in Python. The smartcard module is built on top of the PCSC API
-Python wrapper module.
 
+%global _description\
+The pyscard smartcard library is a framework for building smart card aware\
+applications in Python. The smartcard module is built on top of the PCSC API\
+Python wrapper module.\
+\
 This is the python2 package.
 
+%description %_description
+
+%package -n python2-%{name}
+Summary: %summary
+Requires:       pcsc-lite
+%{?python_provide:%python_provide python2-%{name}}
+# Remove before F30
+Provides: pyscard = %{version}-%{release}
+
+%description -n python2-%{name} %_description
+
 %package -n python3-%{name}
 Summary:        A framework for building smart card aware applications in Python
 Requires:       pcsc-lite
@@ -52,7 +62,7 @@ chmod 755 %{buildroot}%{python2_sitearch}/smartcard/scard/*.so
 %{__python3} setup.py install --root %{buildroot}
 chmod 755 %{buildroot}%{python3_sitearch}/smartcard/scard/*.so
 
-%files
+%files -n python2-%{name}
 %license LICENSE
 %doc README
 %doc smartcard/doc/*
@@ -67,6 +77,10 @@ chmod 755 %{buildroot}%{python3_sitearch}/smartcard/scard/*.so
 %{python3_sitearch}/%{name}-%{version}-py*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.5-4
+- Python 2 subpackage renamed to python2-pyscard
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pyserial/pyserial.spec pyserial/pyserial.spec.tmp
index cea66d3e85..4c8e5028e9 100644
--- pyserial/pyserial.spec
+++ pyserial/pyserial.spec.tmp
@@ -1,7 +1,7 @@
 Summary: Python serial port access library
 Name: pyserial
 Version: 3.1.1
-Release: 4%{?dist}
+Release: 5%{?dist}
 Source0: http://easynews.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
 License: Python
 Group: Development/Libraries
@@ -11,12 +11,22 @@ BuildRequires: python-devel
 BuildRequires: python3-devel
 BuildArch: noarch
 
-%description
-This module encapsulates the access for the serial port. It provides backends
-for standard Python running on Windows, Linux, BSD (possibly any POSIX
-compilant system) and Jython. The module named "serial" automaticaly selects
+%global _description\
+This module encapsulates the access for the serial port. It provides backends\
+for standard Python running on Windows, Linux, BSD (possibly any POSIX\
+compilant system) and Jython. The module named "serial" automaticaly selects\
 the appropriate backend.
 
+%description %_description
+
+%package -n python2-pyserial
+Summary: %summary
+%{?python_provide:%python_provide python2-pyserial}
+# Remove before F30
+Provides: pyserial = %{version}-%{release}
+
+%description -n python2-pyserial %_description
+
 %package -n python3-pyserial
 Summary: Python serial port access library
 
@@ -54,7 +64,7 @@ ln -sf %{_bindir}/miniterm.py-2 %{buildroot}/%{_bindir}/miniterm-%{python2_versi
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-pyserial
 %defattr(-,root,root)
 %doc LICENSE.txt CHANGES.rst README.rst examples
 %{python_sitelib}/*
@@ -69,6 +79,10 @@ rm -rf $RPM_BUILD_ROOT
 %{_bindir}/miniterm-%{python3_version}.py
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 3.1.1-5
+- Python 2 subpackage renamed to python2-pyserial
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pyshp/pyshp.spec pyshp/pyshp.spec.tmp
index 7fbb1f7ac0..f85d2ab3dd 100644
--- pyshp/pyshp.spec
+++ pyshp/pyshp.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           pyshp
 Version:        1.2.11
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        Pure Python read/write support for ESRI Shapefile format
 Group:          Development/Libraries
 License:        MIT
@@ -22,9 +22,19 @@ BuildRequires:  python3-setuptools
 BuildArch:      noarch
 
 
-%description
+%global _description\
 Pure Python read/write support for ESRI Shapefile format
 
+%description %_description
+
+%package -n python2-%{name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{name}}
+# Remove before F30
+Provides: pyshp = %{version}-%{release}
+
+%description -n python2-%{name} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{name}
 Summary:        Pure Python 3 read/write support for ESRI Shapefile format
@@ -100,7 +110,7 @@ popd
 %endif # if with_python3
 
 
-%files
+%files -n python2-%{name}
 %doc README.md changelog.txt LICENSE.TXT
 %{python_sitelib}/shapefile.py*
 %{python_sitelib}/%{name}-%{version}-py*.egg-info
@@ -115,6 +125,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.11-3
+- Python 2 subpackage renamed to python2-pyshp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.11-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git pysvn/pysvn.spec pysvn/pysvn.spec.tmp
index bb9031ab18..9227b3061c 100644
--- pysvn/pysvn.spec
+++ pysvn/pysvn.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           pysvn
 Version:        1.9.2
-Release:        5%{dist}
+Release:        6%{dist}
 Summary:        Pythonic style bindings for Subversion
 Group:          Development/Languages
 License:        ASL 1.1
@@ -19,9 +19,19 @@ BuildRequires:  apr-devel
 BuildRequires:  openssl-devel
 BuildRequires:  python-pycxx-devel >= 6.2.8
 
-%description
-Pythonic style bindings for Subversion
+%global _description\
+Pythonic style bindings for Subversion\
+
+
+%description %_description
 
+%package -n python2-pysvn
+Summary: %summary
+%{?python_provide:%python_provide python2-pysvn}
+# Remove before F30
+Provides: pysvn = %{version}-%{release}
+
+%description -n python2-pysvn %_description
 
 %if 0%{?with_python3}
 %package -n python3-pysvn
@@ -93,7 +103,7 @@ popd
 %{__rm} -rf %{buildroot}
 
 
-%files
+%files -n python2-pysvn
 %defattr(-, root, root, -)
 %doc Docs/pysvn.html Docs/pysvn_prog_guide.html Docs/pysvn_prog_ref.html
 %doc Docs/pysvn_prog_ref.js
@@ -111,6 +121,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.2-6
+- Python 2 subpackage renamed to python2-pysvn
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-4Suite-XML/python-4Suite-XML.spec python-4Suite-XML/python-4Suite-XML.spec.tmp
index e00cc4cffe..afe662da0d 100644
--- python-4Suite-XML/python-4Suite-XML.spec
+++ python-4Suite-XML/python-4Suite-XML.spec.tmp
@@ -2,7 +2,7 @@
 
 Name: python-4Suite-XML
 Version: 1.0.2
-Release: 26%{?dist}
+Release: 27%{?dist}
 Summary: A collection of XML-related technologies for Python
 
 Group: Development/Libraries
@@ -20,15 +20,23 @@ BuildRequires: python-devel
 %filter_provides_in %{python_sitearch}/Ft/.*\.so$
 %filter_setup
 
-%description
-4Suite-XML is a suite of Python modules for XML and RDF processing.
-Its major components include the following:
-
- * Ft.Xml.Domlette: A very fast, lightweight XPath-oriented DOM.
- * Ft.Xml.XPath: An XPath 1.0 implementation for Domlette documents.
- * Ft.Xml.Xslt: A robust XSLT 1.0 processor.
+%global _description\
+4Suite-XML is a suite of Python modules for XML and RDF processing.\
+Its major components include the following:\
+\
+ * Ft.Xml.Domlette: A very fast, lightweight XPath-oriented DOM.\
+ * Ft.Xml.XPath: An XPath 1.0 implementation for Domlette documents.\
+ * Ft.Xml.Xslt: A robust XSLT 1.0 processor.\
  * Ft.Lib: Various support libraries that can be used independently.
 
+%description %_description
+
+%package -n python2-4suite-xml
+Summary: %summary
+%{?python_provide:%python_provide python2-4suite-xml}
+
+%description -n python2-4suite-xml %_description
+
 %prep
 %setup -q -n 4Suite-XML-%{version}
 %patch0 -p1 -b .expat-dos
@@ -63,7 +71,7 @@ rm $RPM_BUILD_ROOT%{_datadir}/doc/4Suite/{COPYRIGHT,README}
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-4suite-xml
 %defattr(-,root,root,-)
 %doc COPYRIGHT README html
 %{_bindir}/4*
@@ -73,6 +81,10 @@ rm -rf $RPM_BUILD_ROOT
 %{_datadir}/4Suite
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.2-27
+- Python 2 subpackage renamed to python2-4suite-xml
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-26
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-achoo/python-achoo.spec python-achoo/python-achoo.spec.tmp
index 6e18c0f158..030912f28a 100644
--- python-achoo/python-achoo.spec
+++ python-achoo/python-achoo.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-achoo
 Version:        1.0
-Release:        15%{?dist}
+Release:        16%{?dist}
 Summary:        A fluent interface for testing Python objects
 
 Group:          Development/Languages
@@ -13,14 +13,22 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-devel python-setuptools
 
-%description
-Achoo is a fluent interface for unit testing Python objects.
-Achoo makes it easy to make assertions about the properties 
-and behaviours of Python objects. For example, is this object
-equal to this other one? Does calling this function with these
-arguments raise an error? More Infomation on fluent from here
+%global _description\
+Achoo is a fluent interface for unit testing Python objects.\
+Achoo makes it easy to make assertions about the properties\
+and behaviours of Python objects. For example, is this object\
+equal to this other one? Does calling this function with these\
+arguments raise an error? More Infomation on fluent from here\
 http://www.martinfowler.com/bliki/FluentInterface.html
 
+%description %_description
+
+%package -n python2-achoo
+Summary: %summary
+%{?python_provide:%python_provide python2-achoo}
+
+%description -n python2-achoo %_description
+
 %prep
 %setup -q -n achoo-%{version}
 
@@ -38,13 +46,17 @@ rm -rf $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-achoo
 %defattr(-,root,root,-)
 %doc README COPYING.LESSER AUTHORS 
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-16
+- Python 2 subpackage renamed to python2-achoo
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-15
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-actdiag/python-actdiag.spec python-actdiag/python-actdiag.spec.tmp
index f3cd044d06..d2dbfc8e03 100644
--- python-actdiag/python-actdiag.spec
+++ python-actdiag/python-actdiag.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-%{srcname}
 Version:        0.5.4
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        actdiag generates activity-diagram images from text
 
 License:        ASL 2.0
@@ -36,12 +36,19 @@ BuildRequires:  python3-pillow
 BuildRequires:  python3-reportlab
 BuildRequires:  python3-setuptools
 
-Requires:       python-blockdiag
 
+%global _description\
+%(cat %{SOURCE1})\
 
-%description
-%(cat %{SOURCE1})
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+Requires:       python-blockdiag
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %package -n python3-%{srcname}
 Summary:        %{summary}
@@ -92,7 +99,7 @@ pushd %{py3dir}
 popd
 
 
-%files
+%files -n python2-%{srcname}
 %doc LICENSE
 %{_bindir}/%{srcname}
 %{_mandir}/man1/%{srcname}.1*
@@ -110,6 +117,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5.4-6
+- Python 2 subpackage renamed to python2-actdiag
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-adns/python-adns.spec python-adns/python-adns.spec.tmp
index 124fbd81ab..059adefdb9 100644
--- python-adns/python-adns.spec
+++ python-adns/python-adns.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-adns
 Version:        1.2.1
-Release:        19%{?dist}
+Release:        20%{?dist}
 
 Summary:        Python interface for the GNU adns library
 Group:          Development/Languages
@@ -15,10 +15,18 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  python-devel, adns-devel >= 1.2
 
-%description
-The adns module provides an interface to the GNU ADNS asynchronous DNS
+%global _description\
+The adns module provides an interface to the GNU ADNS asynchronous DNS\
 resolver library.
 
+%description %_description
+
+%package -n python2-adns
+Summary: %summary
+%{?python_provide:%python_provide python2-adns}
+
+%description -n python2-adns %_description
+
 %prep
 %setup -q -n %{srcname}-%{version}
 
@@ -32,12 +40,16 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-adns
 %defattr(-,root,root)
 %doc GPL README
 %{python_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.1-20
+- Python 2 subpackage renamed to python2-adns
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-19
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-affinity/python-affinity.spec python-affinity/python-affinity.spec.tmp
index 84fa339e66..e237667e40 100644
--- python-affinity/python-affinity.spec
+++ python-affinity/python-affinity.spec.tmp
@@ -3,7 +3,7 @@
 
 Name: python-affinity
 Version: 0.1.0
-Release: 9%{?dist}
+Release: 10%{?dist}
 Summary: Control processor affinity on windows and linux
 License: Python
 URL: https://pypi.python.org/pypi/affinity
@@ -12,14 +12,20 @@ Source0: http://pypi.python.org/packages/source/a/%{srcname}/%{srcname}-%{versio
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-Provides:       python2-affinity = %{version}-%{release}
-
-%description
-'affinity' provides a simple api for setting the processor affinity by
-wrapping the specific underlying function calls of each
-platform. works on windows (requires pywin32) and linux (kernel 2.6 or
+%global _description\
+'affinity' provides a simple api for setting the processor affinity by\
+wrapping the specific underlying function calls of each\
+platform. works on windows (requires pywin32) and linux (kernel 2.6 or\
 patched 2.4).
 
+%description %_description
+
+%package -n python2-affinity
+Summary: %summary
+%{?python_provide:%python_provide python2-affinity}
+
+%description -n python2-affinity %_description
+
 %prep
 %setup -q -n %{srcname}-%{version}
 
@@ -33,11 +39,15 @@ chmod 755 %{buildroot}/%{python2_sitearch}/affinity/_affinity.so
 %check
 %{__python2} setup.py test
 
-%files
+%files -n python2-affinity
 %{python_sitearch}/%{srcname}/
 %{python_sitearch}/%{srcname}-*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0-10
+- Python 2 subpackage renamed to python2-affinity
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-alchimia/python-alchimia.spec python-alchimia/python-alchimia.spec.tmp
index f2686cdbed..4554bc4c66 100644
--- python-alchimia/python-alchimia.spec
+++ python-alchimia/python-alchimia.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:       python-%{srcname}
 Version:    0.4
-Release:    9%{?dist}
+Release:    10%{?dist}
 Summary:    A Python library that integrates Twisted with SqlAlchemy
 
 Group:      Development/Libraries
@@ -24,14 +24,21 @@ BuildRequires: python-pbr
 BuildRequires: python2-devel
 
 
-Requires: python-sqlalchemy
-Requires: python-twisted
 
+%global _description\
+alchimia lets you use most of the SQLAlchemy-core API with Twisted,\
+it does not allow you to use the ORM.\
 
-%description
-alchimia lets you use most of the SQLAlchemy-core API with Twisted,
-it does not allow you to use the ORM.
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+Requires: python-twisted
+Requires: python-sqlalchemy
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %prep
 %setup -q -n %{srcname}-%{version}
@@ -51,13 +58,17 @@ rm -f {test-,}requirements.txt
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-%{srcname}
 %doc README.rst AUTHORS CONTRIBUTING.rst LICENSE ChangeLog
 %{python2_sitelib}/%{srcname}/
 %{python2_sitelib}/%{srcname}-%{version}-py*.egg-info/
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-10
+- Python 2 subpackage renamed to python2-alchimia
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-alsa/python-alsa.spec python-alsa/python-alsa.spec.tmp
index 3373138efc..4cff5b4d51 100644
--- python-alsa/python-alsa.spec
+++ python-alsa/python-alsa.spec.tmp
@@ -5,7 +5,7 @@
 Summary:	Python binding for the ALSA library
 Name:		python-alsa
 Version:	1.0.29
-Release:	7%{?dist}
+Release:	8%{?dist}
 License:	LGPLv2+
 Group:		Development/Languages
 Source0:	ftp://ftp.alsa-project.org/pub/pyalsa/pyalsa-%{version}.tar.bz2
@@ -14,9 +14,17 @@ BuildRequires:	alsa-lib-devel >= %{version}
 BuildRequires:	python-devel
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-%description
+%global _description\
 Python binding for the ALSA library.
 
+%description %_description
+
+%package -n python2-alsa
+Summary: %summary
+%{?python_provide:%python_provide python2-alsa}
+
+%description -n python2-alsa %_description
+
 %prep
 %setup -q -n pyalsa-%{version}
 
@@ -30,11 +38,15 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-alsa
 %defattr(-,root,root,-)
 %{python_sitearch}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.29-8
+- Python 2 subpackage renamed to python2-alsa
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.29-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-amara/python-amara.spec python-amara/python-amara.spec.tmp
index 94e74cdc43..7e6bf4cb1b 100644
--- python-amara/python-amara.spec
+++ python-amara/python-amara.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-amara
 Version:        1.2.0.2
-Release:        19%{?dist}
+Release:        20%{?dist}
 Summary:        A collection of Pythonic tools for XML data binding
 
 Group:          Development/Libraries
@@ -15,21 +15,29 @@ BuildRequires:  python-devel
 # Needs python-4Suite-XML >= 1.0b2
 BuildRequires:  python-4Suite-XML
 BuildRequires: python-setuptools
-Requires:       python-4Suite-XML
-Requires:       python-setuptools
 
 BuildArch:      noarch
 
-%description
-Amara is a collection of Pythonic tools for XML data binding. Not just tools
-that happen to be written in Python, but tools built from the ground up to use
-Python idioms and take advantage of the many advantages of Python over other
-programming languages.
-
-Amara builds on 4Suite, but whereas 4Suite focuses more on literal
-implementation of XML standards in Python, Amara adds a much more Pythonic face
+%global _description\
+Amara is a collection of Pythonic tools for XML data binding. Not just tools\
+that happen to be written in Python, but tools built from the ground up to use\
+Python idioms and take advantage of the many advantages of Python over other\
+programming languages.\
+\
+Amara builds on 4Suite, but whereas 4Suite focuses more on literal\
+implementation of XML standards in Python, Amara adds a much more Pythonic face\
 to these capabilities.
 
+%description %_description
+
+%package -n python2-amara
+Summary: %summary
+Requires:       python-setuptools
+Requires:       python-4Suite-XML
+%{?python_provide:%python_provide python2-amara}
+
+%description -n python2-amara %_description
+
 %prep
 %setup -q -n Amara-%{version}
 
@@ -43,7 +51,7 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-amara
 %defattr(-,root,root,-)
 %{_bindir}/*
 %dir %{python_sitelib}/amara
@@ -53,6 +61,10 @@ rm -rf $RPM_BUILD_ROOT
 %doc CHANGES COPYING demo docs README TODO
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.0.2-20
+- Python 2 subpackage renamed to python2-amara
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0.2-19
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-amqpclt/python-amqpclt.spec python-amqpclt/python-amqpclt.spec.tmp
index 0b1df93c7c..be35684726 100644
--- python-amqpclt/python-amqpclt.spec
+++ python-amqpclt/python-amqpclt.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:		python-amqpclt
 Version:	0.6
-Release:	3%{?dist}
+Release:	4%{?dist}
 Summary:	Versatile AMQP client
 Group:		Development/Libraries
 License:	ASL 2.0
@@ -21,22 +21,30 @@ BuildRequires:	python-pika
 BuildRequires:	python-six
 BuildRequires:	python2-devel
 BuildRequires:	rabbitmq-server
-Requires:	perl-Config-General
-Requires:	python-auth-credential
-Requires:	python-dirq
-Requires:	python-messaging
-Requires:	python-pika
-Requires:	python-six
-
-%description
-amqpclt is a versatile tool to interact with messaging brokers speaking AMQP
-and/or message queues (see messaging.queue) on disk.
 
-It receives messages (see messaging.message) from an incoming module,
-optionally massaging them (i.e. filtering and/or modifying), and sends
-them to an outgoing module. Depending on which modules are used, the tool
+%global _description\
+amqpclt is a versatile tool to interact with messaging brokers speaking AMQP\
+and/or message queues (see messaging.queue) on disk.\
+\
+It receives messages (see messaging.message) from an incoming module,\
+optionally massaging them (i.e. filtering and/or modifying), and sends\
+them to an outgoing module. Depending on which modules are used, the tool\
 can perform different operations.
 
+%description %_description
+
+%package -n python2-amqpclt
+Summary: %summary
+Requires:	python-six
+Requires:	python-pika
+Requires:	python-messaging
+Requires:	python-dirq
+Requires:	python-auth-credential
+Requires:	perl-Config-General
+%{?python_provide:%python_provide python2-amqpclt}
+
+%description -n python2-amqpclt %_description
+
 %prep
 %setup -q -n %{srcname}-%{version}
 
@@ -85,7 +93,7 @@ rm -rf rabbitmq
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-amqpclt
 %defattr(-,root,root)
 %doc README.rst CHANGES
 %{_mandir}/man?/*
@@ -94,6 +102,10 @@ rm -rf %{buildroot}
 %{python_sitelib}/%{srcname}-%{version}-py?.?.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6-4
+- Python 2 subpackage renamed to python2-amqpclt
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-amqplib/python-amqplib.spec python-amqplib/python-amqplib.spec.tmp
index 2a981c259f..33326c4811 100644
--- python-amqplib/python-amqplib.spec
+++ python-amqplib/python-amqplib.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-%{srcname}
 Version:        1.0.2
-Release:        17%{?dist}
+Release:        18%{?dist}
 Summary:        Client library for AMQP
 
 Group:          Development/Languages
@@ -22,12 +22,20 @@ BuildRequires:  python-setuptools
 BuildRequires:  python-nose
 
 
-%description
-Client library for AMQP (Advanced Message Queuing Protocol)
-
-Supports the 0-8 AMQP spec, and has been tested with RabbitMQ
+%global _description\
+Client library for AMQP (Advanced Message Queuing Protocol)\
+\
+Supports the 0-8 AMQP spec, and has been tested with RabbitMQ\
 and Python's 2.4, 2.5, and 2.6.
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
+
 %if 0%{?with_python3}
 %package -n python3-%{srcname}
 Summary:        Client library for AMQP
@@ -83,7 +91,7 @@ popd
 %endif
 
 
-%files
+%files -n python2-%{srcname}
 %defattr(-,root,root,-)
 %doc CHANGES INSTALL LICENSE README TODO docs/ 
 %{python_sitelib}/%{srcname}/
@@ -98,6 +106,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.2-18
+- Python 2 subpackage renamed to python2-amqplib
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-17
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-anfft/python-anfft.spec python-anfft/python-anfft.spec.tmp
index f9b65f65e3..4d0a6a6542 100644
--- python-anfft/python-anfft.spec
+++ python-anfft/python-anfft.spec.tmp
@@ -3,33 +3,41 @@
 Summary:	ANFFT is an FFT package for Python, based on FFTW
 Name:		python-%{module}
 Version:	0.2
-Release:	10%{?dist}
+Release:	11%{?dist}
 Source0:	http://anfft.googlecode.com/files/%{module}-%{version}.tar.gz
 License:	GPLv3+
 Group:		Development/Languages
 URL:		http://anfft.googlecode.com/
 
 BuildRequires:	numpy fftw-libs python2
-Requires:	numpy fftw-libs python2
 BuildArch:	noarch
 
 
-%description
-ANFFT is intended to be used in situations where large numbers
-of expensive FFTs must be performed, and for which the speed 
-of the built-in NumPy or SciPy functions has been found insufficient.
-
-By default, ANFFT provides immediate results by using FFTW's 
-"estimate" mode, which does not require tuning and is still very fast. 
-However, each high-level function provides a keyword named "measure" 
-which will invoke the full FFTW planning machinery. 
-FFTW will investigate which implementations are fastest on your 
-hardware for the given problem size, and ANFFT will transparently 
-cache this information to speed up later transforms on arrays of 
-the same size and type. Accumulated FFTW "wisdom" about which 
-methods work best is stored across Python sessions in a configuration
+%global _description\
+ANFFT is intended to be used in situations where large numbers\
+of expensive FFTs must be performed, and for which the speed\
+of the built-in NumPy or SciPy functions has been found insufficient.\
+\
+By default, ANFFT provides immediate results by using FFTW's\
+"estimate" mode, which does not require tuning and is still very fast.\
+However, each high-level function provides a keyword named "measure"\
+which will invoke the full FFTW planning machinery.\
+FFTW will investigate which implementations are fastest on your\
+hardware for the given problem size, and ANFFT will transparently\
+cache this information to speed up later transforms on arrays of\
+the same size and type. Accumulated FFTW "wisdom" about which\
+methods work best is stored across Python sessions in a configuration\
 file in ~/.anfft
 
+%description %_description
+
+%package -n python2-%{module}
+Summary: %summary
+Requires:	numpy fftw-libs python2
+%{?python_provide:%python_provide python2-%{module}}
+
+%description -n python2-%{module} %_description
+
 %prep
 %setup -q -n %{module}-%{version}
 
@@ -46,12 +54,16 @@ python test.py
 
 python setup.py install -O1 --skip-build  --root=%{buildroot}
 
-%files
+%files -n python2-%{module}
 %doc COPYING.txt README.txt
 %{python_sitelib}/anfft/
 %{python_sitelib}/anfft-%{version}-py*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-11
+- Python 2 subpackage renamed to python2-anfft
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-ansi/python-ansi.spec python-ansi/python-ansi.spec.tmp
index 6755abdc64..e9ce245164 100644
--- python-ansi/python-ansi.spec
+++ python-ansi/python-ansi.spec.tmp
@@ -1,7 +1,7 @@
 %global with_python3 1
 Name:		python-ansi
 Version:	0.1.3
-Release:	9%{?dist}
+Release:	10%{?dist}
 Summary:	ANSI cursor movement and graphics
 
 License:	MIT
@@ -14,10 +14,18 @@ BuildRequires:	python3-devel
 %endif # if with_python3
 BuildArch:	noarch
 
-%description
-Various ANSI escape codes, used in moving the cursor in a text console or
-rendering colored text with Python 2.
+%global _description\
+Various ANSI escape codes, used in moving the cursor in a text console or\
+rendering colored text with Python 2.\
+
+
+%description %_description
 
+%package -n python2-ansi
+Summary: %summary
+%{?python_provide:%python_provide python2-ansi}
+
+%description -n python2-ansi %_description
 
 %if 0%{?with_python3}
 %package -n python3-ansi
@@ -59,7 +67,7 @@ pushd python3
 popd
 %endif # if with_python3
 
-%files
+%files -n python2-ansi
 %license LICENSE.md
 %doc README.md
 %{python_sitelib}/*
@@ -72,6 +80,10 @@ popd
 %endif # if with_python3
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.3-10
+- Python 2 subpackage renamed to python2-ansi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
